/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.spring;

import kr.co.kihyun.beans.entity.TotReport;

/**
 *
 * @author bhs
 */
public interface MoumiReportService {

	public MoumiDao<TotReport> getReportDao();

	public void setReportDao(MoumiDao<TotReport> reportDao);

    /** 승인 프로세스 시작 */
    public void beginApprove(TotReport report);

    /** 반려 */
    public void turnDown(TotReport report);

    /** 승인 완료 */
    public void completeApprove(TotReport report);

    public TotReport loadReport(Long id);

    public void storeReport(TotReport report);

}
